[fuel-octane]Need to remove upgrade_levels from nova.conf after upgrade of last compute

Bug #1506041 reported by Sergey Murashov on 2015-10-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Yuriy Taraday
7.0.x
High
Oleg S. Gelbukh

Bug Description

Need to remove upgrade_levels from nova.conf after upgrade of last compute.

Changed in fuel:
assignee: nobody → Fuel Octane Dev Team (fuel-octane)
Changed in fuel:
milestone: none → 7.0-updates
importance: Undecided → High
status: New → Confirmed
tags: added: module-octane
Dmitry Pyzhov (dpyzhov) on 2015-10-14
no longer affects: fuel/8.0.x
Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-octane
Dmitry Pyzhov (dpyzhov) on 2015-10-29
tags: added: area-python
removed: area-octane
Dmitry Pyzhov (dpyzhov) on 2015-11-20
tags: added: team-upgrades

Related fix proposed to branch: master
Review: https://review.openstack.org/249105

Changed in fuel:
assignee: Fuel Octane Dev Team (fuel-octane) → Oleg S. Gelbukh (gelbuhos)
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/249105
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=a17dba4c839318b4b36f447d134f4bea28213400
Submitter: Jenkins
Branch: master

commit a17dba4c839318b4b36f447d134f4bea28213400
Author: Oleg Gelbukh <email address hidden>
Date: Sat Nov 21 03:12:56 2015 +0000

    Add functions to set/unset upgrade_levels for compute service

    These functions set and unset upgrade_levels for the compute service
    in nova.conf file. It will be used to handle rolling upgrade of compute
    nodes as well as the cleanup of nova.conf once upgrade is finished.

    Related-bug: #1506041
    Co-Authored-By: Ilya Kharin <email address hidden>
    Change-Id: I4fcefae2051221ad220c0cb70226083060c5aa23

Changed in fuel:
assignee: Oleg S. Gelbukh (gelbuhos) → Yuriy Taraday (yorik-sar)

Reviewed: https://review.openstack.org/249106
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=9acebae050b87629e5e4840bb8c36812877fc249
Submitter: Jenkins
Branch: master

commit 9acebae050b87629e5e4840bb8c36812877fc249
Author: Oleg Gelbukh <email address hidden>
Date: Mon Nov 23 22:18:50 2015 +0000

    Use node util functions to manage upgrade_levels

    Replace upgrade_levels set logic with call to node util function
    'add_compute_upgrade_levels'.
    Add 'remove_compute_upgrade_levels' operation for every node to
    'cleanup' command.

    Closes-bug: 1506041
    Change-Id: Iae6223c5b4b0ba78519f76cb86aba2c9e1b90517

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/256058
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=92d080d55098ab0ec0dd320a77fd0e247ecd3d08
Submitter: Jenkins
Branch: stable/7.0

commit 92d080d55098ab0ec0dd320a77fd0e247ecd3d08
Author: Oleg Gelbukh <email address hidden>
Date: Mon Nov 23 22:18:50 2015 +0000

    Use node util functions to manage upgrade_levels

    Replace upgrade_levels set logic with call to node util function
    'add_compute_upgrade_levels'.
    Add 'remove_compute_upgrade_levels' operation for every node to
    'cleanup' command.

    Closes-bug: 1506041
    Change-Id: Iae6223c5b4b0ba78519f76cb86aba2c9e1b90517
    (cherry picked from commit 9acebae050b87629e5e4840bb8c36812877fc249)

Reviewed: https://review.openstack.org/256068
Committed: https://git.openstack.org/cgit/openstack/fuel-octane/commit/?id=b580f785cd0c27f1746fa441d6360dc98580c4eb
Submitter: Jenkins
Branch: stable/7.0

commit b580f785cd0c27f1746fa441d6360dc98580c4eb
Author: Oleg Gelbukh <email address hidden>
Date: Sat Nov 21 03:12:56 2015 +0000

    Add functions to set/unset upgrade_levels for compute service

    These functions set and unset upgrade_levels for the compute service
    in nova.conf file. It will be used to handle rolling upgrade of compute
    nodes as well as the cleanup of nova.conf once upgrade is finished.

    Related-bug: #1506041
    Co-Authored-By: Ilya Kharin <email address hidden>
    Change-Id: I4fcefae2051221ad220c0cb70226083060c5aa23
    (cherry picked from commit a17dba4c839318b4b36f447d134f4bea28213400)

tags: added: dev-to-verify
tags: removed: dev-to-verify
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers